Skip to content

Get or Create Creator Conversation

POST
/affiliate_seller/202508/conversations

Get the existing conversation or create a new conversation with the specified TikTok creator. To send a message in the conversation, pass the returned data.conversation_id as the conversation_id path parameter of Send IM Message (POST /affiliate_seller/202412/conversations/{conversation_id}/messages).

shop_cipher
required
string

Identifies the shop. Obtain it from the Get Authorized Shops API.

Media typeapplication/json
object
creator_open_id
required

The creator’s Open ID. Use the Open ID returned by the relevant API, not a user ID, creator ID, or seller ID. More details

string
only_need_conversation_id
  • If true, only conversation_id in data.conversation is returned.
  • If false, all fields in data.conversation are returned. true by default.
boolean
Example
{
"creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg",
"only_need_conversation_id": true
}

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
conversation_id

The unique ID of the conversation.

string
is_new

Whether this is a new conversation.

boolean
username

The TikTok creator’s username.

string
avatar

The URL for the TikTok creator’s avatar image file.

string
unread_count

Number of messages unread by the shop.

integer format: int64
creator_im_id

Creators’ IM User ID.

string
Example
{
"code": 0,
"data": {
"conversation_id": "1234567890",
"is_new": true,
"username": "test_creator_name",
"avatar": "https://p16-sign-useast2a.tiktokcdn.com/tos-useast2a-avt-0068-giso/2bf6a2485ec8bf93483e4a6ed907e6fd~c5_720x720.webp",
"unread_count": 2,
"creator_im_id": "12345678"
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}